Skip to main content
Contains information about a service call.

Syntax

Members

call
Type: HCCallHandle
Handle for the HTTP call. The handle is valid only until the callback returns. To keep using it, duplicate it by calling HCHttpCallDuplicateHandle, and close the duplicate later by calling HCHttpCallCloseHandle. responseCount
Type: uint64_t
A shared sequence counter that’s incremented for each service call notification. It isn’t a per-request retry count. fullResponseFormatted
Type: const char*
A formatted message that describes the call, including the request URI, the HTTP status, the response headers, and the response body. The separately labeled Authorization Header and Signature Header diagnostic fields show [redacted] instead of their values. Because the string also includes response headers and the response body, don’t assume that the complete string is sanitized. The string is valid only until the callback returns.

Remarks

This structure is passed to an XblCallRoutedHandler callback that’s registered by calling XblAddServiceCallRoutedHandler.

Requirements

Header: xbox_live_global_c.h

See also

xbox_live_global_c
Last modified on October 29, 2026